
// Copyright 2019 Shlomi Steinberg
// 

#pragma once

#include <iostream>
#include <vector>
#include <sstream>
#include <string>

namespace load_csv {

inline std::vector<double> read_csv_line(std::istream& str) {
	std::vector<double> result;
	std::string l;
	std::getline(str,l);

	std::stringstream ss(l);
	std::string s;
	while (std::getline(ss, s, ','))
		result.push_back(std::stod(s));
	return result;
}

}
